%global realname cuttlefish
%global upstream basho


Name:       erlang-%{realname}
Version:    2.1.0
Release:    %mkrel 4
BuildArch:  noarch
Group:      Development/Erlang
Summary:    A library for dealing with sysctl-like configuration syntax
License:    ASL 2.0
URL:        https://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source1:    %{realname}.escript
Patch1:     erlang-cuttlefish-0001-Disable-escript-generation.patch
Patch2:     erlang-cuttlefish-0002-No-rebar_mustache-available.patch
Patch3:     erlang-cuttlefish-0003-Add-recent-otp-versions-to-rebar.config.patch
Patch4:     erlang-cuttlefish-0004-erlang-get_stacktrace-0-deprecated.patch
Patch5:     erlang-cuttlefish-0005-Fix-for-rebar2.patch
BuildRequires:  erlang-bbmustache
BuildRequires:  erlang-getopt
BuildRequires:  erlang-lager
BuildRequires:  erlang-rebar


%description
Cuttlefish is a library for Erlang applications that wish to walk the fine line
between Erlang app.configs and a sysctl-like syntax. The name is a pun on the
pronunciation of 'sysctl' and jokes are better explained.


%prep
%autosetup -p1 -n %{realname}-%{version}
# Temporarily remove rebar plugin until we start packaging rebar plugins
rm -f src/cuttlefish_rebar_plugin.erl


%build
%{erlang_compile}


%install
%{erlang_install}
# Install cuttlefish script itself
install -D -p -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/%{realname}



%check
%{erlang_test}


%files
%doc README.md
%{_bindir}/%{realname}
%{erlang_appdir}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.1.0-4.mga10
+ Revision: 2217232
- Mageia 10 Mass Rebuild

* Thu Jan 05 2023 daviddavid <daviddavid> 2.1.0-3.mga9
+ Revision: 1930347
- Mageia 9 Mass Rebuild
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 2.1.0-2.mga8
+ Revision: 1661620
- make pkg noarch

* Sun Dec 06 2020 guillomovitch <guillomovitch> 2.1.0-1.mga8
+ Revision: 1653613
- new version 2.1.0

* Fri Nov 13 2020 tv <tv> 2.0.11-2.mga8
+ Revision: 1644967
- make it arched, thus fixing deps
  (else install is impossible on either 32 or 64bit depending on the build host)
  (and impossible on arm if host build was x86)

* Thu Sep 17 2020 guillomovitch <guillomovitch> 2.0.11-1.mga8
+ Revision: 1628032
- imported package erlang-cuttlefish

